summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVirgil Dupras <vdupras@gentoo.org>2019-01-02 16:21:47 -0500
committerVirgil Dupras <vdupras@gentoo.org>2019-01-02 16:21:47 -0500
commit0f10a1e24dced271acbee1b2cb29b1d842574013 (patch)
tree6807fd5ebd6c3485f4c33e377954947e1a5a5cf2 /app-office/moneyguru
parentdev-libs/xerces-c: use ninja, fix XercesMessages_en_US.cat path (diff)
downloadgentoo-0f10a1e24dced271acbee1b2cb29b1d842574013.tar.gz
gentoo-0f10a1e24dced271acbee1b2cb29b1d842574013.tar.bz2
gentoo-0f10a1e24dced271acbee1b2cb29b1d842574013.zip
app-office/moneyguru: new package
I'm upstream and I've spent the last two releases pimping up the build system. Closes: https://bugs.gentoo.org/388645 Signed-off-by: Virgil Dupras <vdupras@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'app-office/moneyguru')
-rw-r--r--app-office/moneyguru/Manifest1
-rw-r--r--app-office/moneyguru/metadata.xml11
-rw-r--r--app-office/moneyguru/moneyguru-2.13.0.ebuild49
3 files changed, 61 insertions, 0 deletions
diff --git a/app-office/moneyguru/Manifest b/app-office/moneyguru/Manifest
new file mode 100644
index 000000000000..0ccf1eba41a0
--- /dev/null
+++ b/app-office/moneyguru/Manifest
@@ -0,0 +1 @@
+DIST moneyguru-2.13.0.tar.gz 1666383 BLAKE2B ea0f11728cacfe1763d9bf0e84749f18b2191af3b6c442de8c9a8095101a34c837126868589ed2c89cc4bb76cae0f5361c0b158b4f84342d1f7c74f6da06601e SHA512 fbc144070f4d78470e9a16bc7fbe35769e3fafacf4ecd746d86dd04cae759299d50b2132c21068d0fbbd01abcbfb1e9234a3a281e5097d789520cb053b6aee6f
diff --git a/app-office/moneyguru/metadata.xml b/app-office/moneyguru/metadata.xml
new file mode 100644
index 000000000000..951b70bfa8e2
--- /dev/null
+++ b/app-office/moneyguru/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>vdurpas@gentoo.org</email>
+ <name>Virgil Dupras</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">hsoft/moneyguru</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-office/moneyguru/moneyguru-2.13.0.ebuild b/app-office/moneyguru/moneyguru-2.13.0.ebuild
new file mode 100644
index 000000000000..ffe8516e22b5
--- /dev/null
+++ b/app-office/moneyguru/moneyguru-2.13.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit python-single-r1
+
+DESCRIPTION="Future-aware personal finances management"
+HOMEPAGE="https://hardcoded.net/moneyguru"
+SRC_URI="https://download.hardcoded.net/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-db/sqlite:3
+ dev-libs/glib:2
+ dev-python/PyQt5[${PYTHON_USEDEP},gui,widgets,printsupport]
+ dev-qt/qttranslations"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-util/cunit
+ )"
+
+_emake() {
+ emake CFLAGS="\$(DEFAULT_CFLAGS) ${CFLAGS}" \
+ SHEBANG="${PYTHON}" \
+ DESTDIR="${ED}" \
+ PREFIX=/usr \
+ $@
+}
+
+src_compile() {
+ _emake
+}
+
+src_install() {
+ _emake install
+}
+
+src_test() {
+ emake -C ccore CFLAGS="\$(DEFAULT_CFLAGS) ${CFLAGS}" tests
+ pytest -vv core || die "Tests failed with ${EPYTHON}"
+}